<!DOCTYPE html>
<html>
<head>
  <title>Recipes App</title>
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/css/bootstrap.min.css">
  <style>
    /* Custom CSS Styles */
    .recipe-image {
      width: 200px;
      height: 200px;
      object-fit: cover;
      display: block;
      margin-left: auto;
      margin-right: auto;
      margin-top: 20px;
    }
  </style>
</head>
<body>
  <nav class="navbar navbar-expand-lg navbar-light bg-light">
    <div class="container">
      <a class="navbar-brand" href="{% url 'recipe:home' %}">Homepage</a>
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse justify-content-end" id="navbarNav">
        <ul class="navbar-nav">
          {% if user.is_authenticated %}
          {% comment %} <li class="nav-item">
            <a class="nav-link" href="{% url 'recipe:notes' %}">My Notes</a>
          </li> {% endcomment %}
          {% endif %}
          <li class="nav-item">
            <a class="nav-link" href="{% url 'recipe:about' %}">About the Author</a>
          </li>
          {% comment %} <li class="nav-item">
            <a class="nav-link" href="{% url 'recipe:home' %}">Recipes</a>
          </li> {% endcomment %}
          {% if user.is_authenticated %}
          <li class="nav-item">
            <a class="nav-link" href="{% url 'recipe:profile' %}">Profile</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="{% url 'recipe:add_recipe' %}">Add Recipe</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="{% url 'recipe:logoff' %}">Log Off</a>
          </li>
          {% else %}
          <li class="nav-item">
            <a class="nav-link" href="{% url 'recipe:register' %}">Register</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="{% url 'recipe:login' %}">Login</a>
          </li>
          {% endif %}
        </ul>
      </div>
    </div>
  </nav>

  <div class="container">
    <h1 class="text-center" style="margin-top:10px;">Welcome to the Recipes App</h1>

    <form class="form-inline justify-content-center mt-4" action="{% url 'recipe:search' %}" method="GET">
      <input class="form-control mr-sm-2" type="text" name="search_query" placeholder="Search by recipe name" aria-label="Search">
      <button class="btn btn-primary" type="submit">Search</button>
    </form>

    <form class="form-inline justify-content-center mt-4" action="{% url 'recipe:search_by_ingredient' %}" method="get">
      <input class="form-control mr-sm-2" type="text" name="ingredient_query" placeholder="Search by ingredient">
      <button class="btn btn-primary" type="submit">Search</button>
    </form>

    <div class="container mt-4">
      <h2 class="text-center">Recipes</h2>
      <div class="row">
        {% for recipe in recipes %}
        <div class="col-md-3">
          <div class="card mb-4">
            <img src="{{ recipe.picture.url }}" class="card-img-top recipe-image mx-auto" alt="{{ recipe.name }}">
            <div class="card-body d-flex flex-column align-items-center">
              <h5 class="card-title">{{ recipe.name }}</h5>
              <p class="card-text">{{ recipe.description }}</p>
              <a href="{% url 'recipe:recipe_detail' recipe.id %}" class="btn btn-primary" style="width:150px;">View Recipe</a>
              {% if user.is_authenticated %}
              <form action="{% url 'recipe:delete-recipe' recipe.id %}" method="post">
                {% csrf_token %}
                <button type="submit" class="btn btn-danger" style="width:150px; margin-top:10px;">Delete Recipe</button>
              </form>
              {% endif %}
            </div>
          </div>
        </div>
        {% endfor %}
      </div>
    </div>
  </div>

  <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"></script>
  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/js/bootstrap.min.js"></script>
</body>
</html>
